%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define name         tstorm
%define version      2.0.1
%define release      13

%define builddir     @RPM_BUILD_DIR@/build-%{name}-%{version}

%define default_user root

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Vendor:         EMI
License:        Apache License
URL:            http://grid-it.cnaf.infn.it
Source:         tstorm-%{version}.tar.gz
Group:          System Environment/Shells
AutoReqProv:    yes
BuildArch:      noarch
BuildRoot:      %{_builddir}/var/tmp/%{name}-%{version}
Summary:        Provides the utility files

%define _sysconfdir    /etc

BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python

Requires: dcache-srmclient
Requires: storm-srm-client
Requires: lcg-util
Requires: %name-common

%define debug_package %{nil}

%package common
Summary:  Common library
BuildArch: noarch
Group:    System Environment/Shells
Requires: python
Requires: python-simplejson
Requires: python-ldap

%package sanity
Summary:  Sanity tests
BuildArch: noarch
Group:    System Environment/Shells
Requires: %name-common

%description
This contains tstorm packages.

%description common
This contains tstorm common packages.

%description sanity
This contains tstorm sanity packages.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash bootstrap
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --exec_prefix=/usr --localstatedir=/var
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/tstorm
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/tstorm/stress

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/tstorm-tests
%{_bindir}/tstorm-stress-tests

%attr(755,%{default_user},%{default_user}) %dir %{_localstatedir}/log/tstorm
%attr(755,%{default_user},%{default_user}) %dir %{_localstatedir}/log/tstorm/stress

%dir %{_sysconfdir}/tstorm/
%attr(644,%{default_user},%{default_user}) %config(noreplace) %{_sysconfdir}/tstorm/tstorm.ini
%dir %{python_sitearch}/tstorm/
%dir %{python_sitearch}/tstorm/commands
%{python_sitearch}/tstorm/commands/abort.py
%{python_sitearch}/tstorm/commands/abort.pyc
%{python_sitearch}/tstorm/commands/abort.pyo
%{python_sitearch}/tstorm/commands/bringonline.py
%{python_sitearch}/tstorm/commands/bringonline.pyc
%{python_sitearch}/tstorm/commands/bringonline.pyo
%{python_sitearch}/tstorm/commands/cp.py
%{python_sitearch}/tstorm/commands/cp.pyc
%{python_sitearch}/tstorm/commands/cp.pyo
%{python_sitearch}/tstorm/commands/curl.py
%{python_sitearch}/tstorm/commands/curl.pyc
%{python_sitearch}/tstorm/commands/curl.pyo
%{python_sitearch}/tstorm/commands/__init__.py
%{python_sitearch}/tstorm/commands/__init__.pyc
%{python_sitearch}/tstorm/commands/__init__.pyo
%{python_sitearch}/tstorm/commands/ls.py
%{python_sitearch}/tstorm/commands/ls.pyc
%{python_sitearch}/tstorm/commands/ls.pyo
%{python_sitearch}/tstorm/commands/mkdir.py
%{python_sitearch}/tstorm/commands/mkdir.pyc
%{python_sitearch}/tstorm/commands/mkdir.pyo
%{python_sitearch}/tstorm/commands/mv.py
%{python_sitearch}/tstorm/commands/mv.pyc
%{python_sitearch}/tstorm/commands/mv.pyo
%{python_sitearch}/tstorm/commands/ping.py
%{python_sitearch}/tstorm/commands/ping.pyc
%{python_sitearch}/tstorm/commands/ping.pyo
%{python_sitearch}/tstorm/commands/protocol.py
%{python_sitearch}/tstorm/commands/protocol.pyc
%{python_sitearch}/tstorm/commands/protocol.pyo
%{python_sitearch}/tstorm/commands/rmdir.py
%{python_sitearch}/tstorm/commands/rmdir.pyc
%{python_sitearch}/tstorm/commands/rmdir.pyo
%{python_sitearch}/tstorm/commands/rm.py
%{python_sitearch}/tstorm/commands/rm.pyc
%{python_sitearch}/tstorm/commands/rm.pyo
%{python_sitearch}/tstorm/commands/space.py
%{python_sitearch}/tstorm/commands/space.pyc
%{python_sitearch}/tstorm/commands/space.pyo
%dir %{python_sitearch}/tstorm/tests
#%{python_sitearch}/tstorm/tests/commontests.py
#%{python_sitearch}/tstorm/tests/commontests.pyc
#%{python_sitearch}/tstorm/tests/commontests.pyo
#%{python_sitearch}/tstorm/tests/utilities.py
#%{python_sitearch}/tstorm/tests/utilities.pyc
#%{python_sitearch}/tstorm/tests/utilities.pyo
%dir %{python_sitearch}/tstorm/tests/atomic
%{python_sitearch}/tstorm/tests/atomic/atomics.py
%{python_sitearch}/tstorm/tests/atomic/atomics.pyc
%{python_sitearch}/tstorm/tests/atomic/atomics.pyo
%{python_sitearch}/tstorm/tests/atomic/atomicstests.py
%{python_sitearch}/tstorm/tests/atomic/atomicstests.pyc
%{python_sitearch}/tstorm/tests/atomic/atomicstests.pyo
%{python_sitearch}/tstorm/tests/atomic/__init__.py
%{python_sitearch}/tstorm/tests/atomic/__init__.pyc
%{python_sitearch}/tstorm/tests/atomic/__init__.pyo
%dir %{python_sitearch}/tstorm/tests/functional
%{python_sitearch}/tstorm/tests/functional/functionalitiestests_novoms.py
%{python_sitearch}/tstorm/tests/functional/functionalitiestests_novoms.pyc
%{python_sitearch}/tstorm/tests/functional/functionalitiestests_novoms.pyo
%{python_sitearch}/tstorm/tests/functional/functionalitiestests.py
%{python_sitearch}/tstorm/tests/functional/functionalitiestests.pyc
%{python_sitearch}/tstorm/tests/functional/functionalitiestests.pyo
%{python_sitearch}/tstorm/tests/functional/functionalities.py
%{python_sitearch}/tstorm/tests/functional/functionalities.pyc
%{python_sitearch}/tstorm/tests/functional/functionalities.pyo
%{python_sitearch}/tstorm/tests/functional/https.py
%{python_sitearch}/tstorm/tests/functional/https.pyc
%{python_sitearch}/tstorm/tests/functional/https.pyo
%{python_sitearch}/tstorm/tests/functional/__init__.py
%{python_sitearch}/tstorm/tests/functional/__init__.pyc
%{python_sitearch}/tstorm/tests/functional/__init__.pyo
%{python_sitearch}/tstorm/tests/functional/webdav.py
%{python_sitearch}/tstorm/tests/functional/webdav.pyc
%{python_sitearch}/tstorm/tests/functional/webdav.pyo
%{python_sitearch}/tstorm/tests/functional/webdavtests.py
%{python_sitearch}/tstorm/tests/functional/webdavtests.pyc
%{python_sitearch}/tstorm/tests/functional/webdavtests.pyo
%{python_sitearch}/tstorm/tests/functional/tape.py
%{python_sitearch}/tstorm/tests/functional/tape.pyc
%{python_sitearch}/tstorm/tests/functional/tape.pyo
%{python_sitearch}/tstorm/tests/functional/tapetests.py
%{python_sitearch}/tstorm/tests/functional/tapetests.pyc
%{python_sitearch}/tstorm/tests/functional/tapetests.pyo
%dir %{python_sitearch}/tstorm/tests/functional/regression
%{python_sitearch}/tstorm/tests/functional/regression/glueone_ldapquery.py
%{python_sitearch}/tstorm/tests/functional/regression/glueone_ldapquery.pyc
%{python_sitearch}/tstorm/tests/functional/regression/glueone_ldapquery.pyo
%{python_sitearch}/tstorm/tests/functional/regression/gluetwo_ldapquery.py
%{python_sitearch}/tstorm/tests/functional/regression/gluetwo_ldapquery.pyc
%{python_sitearch}/tstorm/tests/functional/regression/gluetwo_ldapquery.pyo
%{python_sitearch}/tstorm/tests/functional/regression/__init__.py
%{python_sitearch}/tstorm/tests/functional/regression/__init__.pyc
%{python_sitearch}/tstorm/tests/functional/regression/__init__.pyo
%{python_sitearch}/tstorm/tests/functional/regression/regression.py
%{python_sitearch}/tstorm/tests/functional/regression/regression.pyc
%{python_sitearch}/tstorm/tests/functional/regression/regression.pyo
%{python_sitearch}/tstorm/tests/functional/regression/regression_ldaptests.py
%{python_sitearch}/tstorm/tests/functional/regression/regression_ldaptests.pyc
%{python_sitearch}/tstorm/tests/functional/regression/regression_ldaptests.pyo
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests_novoms.py
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests_novoms.pyc
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests_novoms.pyo
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests.py
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests.pyc
%{python_sitearch}/tstorm/tests/functional/regression/regressiontests.pyo
%dir %{python_sitearch}/tstorm/tests/load
%{python_sitearch}/tstorm/tests/load/loads.py
%{python_sitearch}/tstorm/tests/load/loads.pyc
%{python_sitearch}/tstorm/tests/load/loads.pyo
%{python_sitearch}/tstorm/tests/load/loadstests.py
%{python_sitearch}/tstorm/tests/load/loadstests.pyc
%{python_sitearch}/tstorm/tests/load/loadstests.pyo
%{python_sitearch}/tstorm/tests/load/__init__.py
%{python_sitearch}/tstorm/tests/load/__init__.pyc
%{python_sitearch}/tstorm/tests/load/__init__.pyo
%dir %{_datadir}/doc/tstorm-%{version}
%doc %{_datadir}/doc/tstorm-%{version}/AUTHORS
%doc %{_datadir}/doc/tstorm-%{version}/ChangeLog
%doc %{_datadir}/doc/tstorm-%{version}/CREDITS
%doc %{_datadir}/doc/tstorm-%{version}/LICENSE
%doc %{_datadir}/doc/tstorm-%{version}/README

%files common
%defattr(-,root,root,-)
%dir %{_sysconfdir}/tstorm
%dir %{_sysconfdir}/tstorm/common

%attr(755,%{default_user},%{default_user}) %dir %{_localstatedir}/log/tstorm

%attr(644,%{default_user},%{default_user}) %{_sysconfdir}/tstorm/common/map_tests_ids.json
%doc  %{_docdir}/tstorm-%{version}/*
%dir %{python_sitearch}/tstorm/
%{python_sitearch}/tstorm/__init__.py
%{python_sitearch}/tstorm/__init__.pyc
%{python_sitearch}/tstorm/__init__.pyo
%dir %{python_sitearch}/tstorm/run
%{python_sitearch}/tstorm/run/__init__.py
%{python_sitearch}/tstorm/run/__init__.pyc
%{python_sitearch}/tstorm/run/__init__.pyo
%{python_sitearch}/tstorm/run/run_sanity_tests.py
%{python_sitearch}/tstorm/run/run_sanity_tests.pyc
%{python_sitearch}/tstorm/run/run_sanity_tests.pyo
%{python_sitearch}/tstorm/run/run_stress_tests.py
%{python_sitearch}/tstorm/run/run_stress_tests.pyc
%{python_sitearch}/tstorm/run/run_stress_tests.pyo
%{python_sitearch}/tstorm/run/run_tests.py
%{python_sitearch}/tstorm/run/run_tests.pyc
%{python_sitearch}/tstorm/run/run_tests.pyo
%dir %{python_sitearch}/tstorm/utils
%{python_sitearch}/tstorm/utils/cksm.py
%{python_sitearch}/tstorm/utils/cksm.pyc
%{python_sitearch}/tstorm/utils/cksm.pyo
%{python_sitearch}/tstorm/utils/config.py
%{python_sitearch}/tstorm/utils/config.pyc
%{python_sitearch}/tstorm/utils/config.pyo
%{python_sitearch}/tstorm/utils/configuration.py
%{python_sitearch}/tstorm/utils/configuration.pyc
%{python_sitearch}/tstorm/utils/configuration.pyo
%{python_sitearch}/tstorm/utils/createfile.py
%{python_sitearch}/tstorm/utils/createfile.pyc
%{python_sitearch}/tstorm/utils/createfile.pyo
%{python_sitearch}/tstorm/utils/filters.py
%{python_sitearch}/tstorm/utils/filters.pyc
%{python_sitearch}/tstorm/utils/filters.pyo
%{python_sitearch}/tstorm/utils/findstrings.py
%{python_sitearch}/tstorm/utils/findstrings.pyc
%{python_sitearch}/tstorm/utils/findstrings.pyo
%{python_sitearch}/tstorm/utils/infosystem.py
%{python_sitearch}/tstorm/utils/infosystem.pyc
%{python_sitearch}/tstorm/utils/infosystem.pyo
%{python_sitearch}/tstorm/utils/__init__.py
%{python_sitearch}/tstorm/utils/__init__.pyc
%{python_sitearch}/tstorm/utils/__init__.pyo
%{python_sitearch}/tstorm/utils/ldapsearch.py
%{python_sitearch}/tstorm/utils/ldapsearch.pyc
%{python_sitearch}/tstorm/utils/ldapsearch.pyo
%{python_sitearch}/tstorm/utils/library_dependencies.py
%{python_sitearch}/tstorm/utils/library_dependencies.pyc
%{python_sitearch}/tstorm/utils/library_dependencies.pyo
%{python_sitearch}/tstorm/utils/limit.py
%{python_sitearch}/tstorm/utils/limit.pyc
%{python_sitearch}/tstorm/utils/limit.pyo
%{python_sitearch}/tstorm/utils/listinfo.py
%{python_sitearch}/tstorm/utils/listinfo.pyc
%{python_sitearch}/tstorm/utils/listinfo.pyo
%{python_sitearch}/tstorm/utils/mysqlquery.py
%{python_sitearch}/tstorm/utils/mysqlquery.pyc
%{python_sitearch}/tstorm/utils/mysqlquery.pyo
%{python_sitearch}/tstorm/utils/range.py
%{python_sitearch}/tstorm/utils/range.pyc
%{python_sitearch}/tstorm/utils/range.pyo
%{python_sitearch}/tstorm/utils/release.py
%{python_sitearch}/tstorm/utils/release.pyc
%{python_sitearch}/tstorm/utils/release.pyo
%{python_sitearch}/tstorm/utils/readfile.py
%{python_sitearch}/tstorm/utils/readfile.pyc
%{python_sitearch}/tstorm/utils/readfile.pyo
%{python_sitearch}/tstorm/utils/removefile.py
%{python_sitearch}/tstorm/utils/removefile.pyc
%{python_sitearch}/tstorm/utils/removefile.pyo
%{python_sitearch}/tstorm/utils/report_file.py
%{python_sitearch}/tstorm/utils/report_file.pyc
%{python_sitearch}/tstorm/utils/report_file.pyo
%{python_sitearch}/tstorm/utils/rpm.py
%{python_sitearch}/tstorm/utils/rpm.pyc
%{python_sitearch}/tstorm/utils/rpm.pyo
%{python_sitearch}/tstorm/utils/sequence.py
%{python_sitearch}/tstorm/utils/sequence.pyc
%{python_sitearch}/tstorm/utils/sequence.pyo
%{python_sitearch}/tstorm/utils/service.py
%{python_sitearch}/tstorm/utils/service.pyc
%{python_sitearch}/tstorm/utils/service.pyo
%{python_sitearch}/tstorm/utils/settings.py
%{python_sitearch}/tstorm/utils/settings.pyc
%{python_sitearch}/tstorm/utils/settings.pyo
%{python_sitearch}/tstorm/utils/stress_file.py
%{python_sitearch}/tstorm/utils/stress_file.pyc
%{python_sitearch}/tstorm/utils/stress_file.pyo
%{python_sitearch}/tstorm/utils/test.py
%{python_sitearch}/tstorm/utils/test.pyc
%{python_sitearch}/tstorm/utils/test.pyo
%{python_sitearch}/tstorm/utils/tests.py
%{python_sitearch}/tstorm/utils/tests.pyc
%{python_sitearch}/tstorm/utils/tests.pyo
%{python_sitearch}/tstorm/utils/usage.py
%{python_sitearch}/tstorm/utils/usage.pyc
%{python_sitearch}/tstorm/utils/usage.pyo
%{python_sitearch}/tstorm/utils/utils.py
%{python_sitearch}/tstorm/utils/utils.pyc
%{python_sitearch}/tstorm/utils/utils.pyo
%{python_sitearch}/tstorm/utils/version.py
%{python_sitearch}/tstorm/utils/version.pyc
%{python_sitearch}/tstorm/utils/version.pyo
%{python_sitearch}/tstorm/utils/yaim.py
%{python_sitearch}/tstorm/utils/yaim.pyc
%{python_sitearch}/tstorm/utils/yaim.pyo
%dir %{python_sitearch}/tstorm/tests/
%{python_sitearch}/tstorm/tests/__init__.py
%{python_sitearch}/tstorm/tests/__init__.pyc
%{python_sitearch}/tstorm/tests/__init__.pyo
%{python_sitearch}/tstorm/tests/commontests.py
%{python_sitearch}/tstorm/tests/commontests.pyc
%{python_sitearch}/tstorm/tests/commontests.pyo
%{python_sitearch}/tstorm/tests/utilities.py
%{python_sitearch}/tstorm/tests/utilities.pyc
%{python_sitearch}/tstorm/tests/utilities.pyo

%files sanity
%defattr(-,root,root,-)
%{_bindir}/tstorm-sanity-tests
%dir %{_sysconfdir}/tstorm
%dir %{_sysconfdir}/tstorm/sanity
%attr(644,%{default_user},%{default_user}) %config(noreplace) %{_sysconfdir}/tstorm/sanity/tstorm-sanity.ini
%dir %{python_sitearch}/tstorm/
%dir %{python_sitearch}/tstorm/tests/
%dir %{python_sitearch}/tstorm/tests/deployment
%{python_sitearch}/tstorm/tests/deployment/conf.py
%{python_sitearch}/tstorm/tests/deployment/conf.pyc
%{python_sitearch}/tstorm/tests/deployment/conf.pyo
%{python_sitearch}/tstorm/tests/deployment/conftests.py
%{python_sitearch}/tstorm/tests/deployment/conftests.pyc
%{python_sitearch}/tstorm/tests/deployment/conftests.pyo
%{python_sitearch}/tstorm/tests/deployment/__init__.py
%{python_sitearch}/tstorm/tests/deployment/__init__.pyc
%{python_sitearch}/tstorm/tests/deployment/__init__.pyo
%{python_sitearch}/tstorm/tests/deployment/services.py
%{python_sitearch}/tstorm/tests/deployment/services.pyc
%{python_sitearch}/tstorm/tests/deployment/services.pyo
%dir %{python_sitearch}/tstorm/tests/deployment/regression
%{python_sitearch}/tstorm/tests/deployment/regression/info_ldapquery.py
%{python_sitearch}/tstorm/tests/deployment/regression/info_ldapquery.pyc
%{python_sitearch}/tstorm/tests/deployment/regression/info_ldapquery.pyo
%{python_sitearch}/tstorm/tests/deployment/regression/__init__.py
%{python_sitearch}/tstorm/tests/deployment/regression/__init__.pyc
%{python_sitearch}/tstorm/tests/deployment/regression/__init__.pyo
%{python_sitearch}/tstorm/tests/deployment/regression/regression_conftests.py
%{python_sitearch}/tstorm/tests/deployment/regression/regression_conftests.pyc
%{python_sitearch}/tstorm/tests/deployment/regression/regression_conftests.pyo
%{python_sitearch}/tstorm/tests/deployment/regression/regression_infotests.py
%{python_sitearch}/tstorm/tests/deployment/regression/regression_infotests.pyc
%{python_sitearch}/tstorm/tests/deployment/regression/regression_infotests.pyo
%{python_sitearch}/tstorm/tests/deployment/regression/service_configuration.py
%{python_sitearch}/tstorm/tests/deployment/regression/service_configuration.pyc
%{python_sitearch}/tstorm/tests/deployment/regression/service_configuration.pyo

%dir %{_datadir}/doc/tstorm-sanity-%{version}
%doc %{_datadir}/doc/tstorm-sanity-%{version}/AUTHORS
%doc %{_datadir}/doc/tstorm-sanity-%{version}/ChangeLog
%doc %{_datadir}/doc/tstorm-sanity-%{version}/CREDITS
%doc %{_datadir}/doc/tstorm-sanity-%{version}/LICENSE
%doc %{_datadir}/doc/tstorm-sanity-%{version}/README

%changelog
* Wed Jan 16 2013 Elisabetta Roncheiri <elisabetta.roncheiri@cnaf.infn.it> - 2.0.1-5
- added sanity tests for storm-release 1.11.0-1
- added tests for storm-release 1.11.0-1
 
* Tue May 29 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - 1.3.0-1.sl5
- added new options to run idempotent tests

* Fri Apr 13 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - 1.2.1-1.sl5
- changed packaging

